Bug 861529 - A program requires additional plugins to decode this file. (*.mov)
A program requires additional plugins to decode this file. (*.mov)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: dragon (Show other bugs)
17
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 20:35 EDT by Yung Ton
Modified: 2012-09-28 21:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-28 21:31:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 307503 None None None 2012-09-28 20:35:23 EDT

  None (edit)
Description Yung Ton 2012-09-28 20:35:23 EDT
============

KDE Bugzilla
https://bugs.kde.org/show_bug.cgi?id=307503

Bug 307503 - A program requires additional plugins to decode this file. (*.mov) 

Comment 1 Harald Sitter 2012-09-28 05:32:36 UTC
Problem with your package manager it seems. Please report to Fedora.

============


Dragon Player
Version 2.0
Using KDE Developement Platform 4.9.1

A program requires additional plugins to decode this file. (*.MOV)

 MPEG-4 AAC decoder
 H.264 decoder 

The following plugins are required. Do you want to search for these now?

Yes.

Install GStreamer Resources

- The following packages were found:
 1. gstreamer-plugin-crystalhd
    Gstreamer crystalhd decoder plugin
 2. gstreamer-plugins-bad-free-extras 
    Extra GStreamer "bad" plugins (less often used "bad" plugins)

Continue.

!Transaction error!
An error occurred while running the transaction.
More information is available in the detailed report.

 gstreamer-plugins-bad-free-extras-0.10.23-2.fc17.i686
 requires gstreamer-plugins-bad-free = 0.10.23-2.fc17

Close.

Reproducible: Always
Comment 1 Kevin Kofler 2012-09-28 21:31:14 EDT
gstreamer-plugins-bad-free-extras-0.10.23-2.fc17 incorrectly claimed to be able to decode H.264. This was fixed in the gstreamer-plugins-bad-free-extras-0.10.23-8.fc17. For some reason, yum ends up finding the old version from the non-updated release, I don't think we can do much about that.

You cannot decode H.264 and AAC with packages from Fedora, you need to get gstreamer-plugins-ugly from RPM Fusion Free. The automatic codec search can only find that if you have the RPM Fusion Free repository already configured, which we cannot automatically do in Fedora for legal reasons. See http://rpmfusion.org/Configuration (you need only the "free" repository). So we cannot do anything about that part either.

Sorry.
Comment 2 Kevin Kofler 2012-09-28 21:38:10 EDT
For your information, the first problem will be solved in Fedora 18 because the gstreamer-plugins-bad-free-extras-0.10.23-2.fc17 package with the incorrect Provides will not be in an Fedora 18 repository. But you will still not be able to find a working H.264 decoder in Fedora's own repositories. (Please also note that the crystalhd plugin only works if you have a CrystalHD hardware MPEG decoder. It is not of interest to most people.)

Note You need to log in before you can comment on or make changes to this bug.